Name:           easystroke
Version:        0.4.5
Release:        1%{?dist}
Summary:        Gesture-recognition application for X11

Group:          User Interface/X Hardware Support
License:        ISC
URL:            http://easystroke.sourceforge.net/
Source0:        http://downloads.sourceforge.net/easystroke/%{name}-%{version}.tar.gz
#Patch to compile with gcc 4.3.0
Patch0:         easystroke-0.4.5-gcc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  boost-devel
BuildRequires:  libXtst-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  intltool

%description
Easystroke is a gesture-recognition application for X11. Gestures or strokes 
are movements that you make with you mouse (or your pen, finger etc.) while 
holding down a specific mouse button. Easystroke will execute certain actions 
if it recognizes the stroke; currently easystroke can emulate key presses, 
execute shell commands, hold down modifiers and emulate a scroll wheel. 

%prep
%setup -q
%patch0 -p1 -b .gcc
# Resolve debuginfo
sed -i 's|install -Ds|install -D|' Makefile
# Preserve timestamps:
sed -i 's|install |install -p |' Makefile

%build
make  %{?_smp_mflags} CXX="g++ %{optflags}" CC="gcc -std=c99 %{optflags}"


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="%{_prefix}" DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc changelog LICENSE 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg



%changelog
* Wed Jun 03 2009 Zarko Pintar <zarko.pintar@gmail.com> - 0.4.5-1
- new version
- added gcc4.3.0 patch and resolve optflags 

* Mon Jun 01 2009 Zarko Pintar <zarko.pintar@gmail.com> - 0.4.4-3
- spec cleaning

* Fri May 29 2009 Zarko Pintar <zarko.pintar@gmail.com> - 0.4.4-2
- resolved debuginfo

* Wed May 27 2009 Zarko Pintar <zarko.pintar@gmail.com> - 0.4.4-1
- initial release
